{
  "name": "electron-mail",
  "description": "Unofficial ProtonMail Desktop App",
  "version": "4.9.0",
  "author": "Vladimir Yakovlev <desktop-app@protonmail.ch>",
  "license": "MIT",
  "homepage": "https://github.com/vladimiry/ElectronMail",
  "repository": {
    "type": "git",
    "url": "https://github.com/vladimiry/ElectronMail.git"
  },
  "bugs": {
    "url": "https://github.com/vladimiry/ElectronMail/issues"
  },
  "engines": {
    "node": ">=12.0.0"
  },
  "main": "./app/electron-main.js",
  "scripts": {
    "postinstall": "npm-run-all yarn:audit postinstall:patch-package postinstall:remove:prebuild-install postinstall:electron-chromedriver scripts/code-generation/electron-main",
    "postinstall:remove:prebuild-install": "rimraf ./node_modules/prebuild-install",
    "postinstall:patch-package": "patch-package --patch-dir ./patches/patch-package",
    "postinstall:electron-chromedriver": "npm-run-all postinstall:electron-chromedriver:remove postinstall:electron-chromedriver:download",
    "postinstall:electron-chromedriver:remove": "rimraf ./node_modules/electron-chromedriver/bin",
    "postinstall:electron-chromedriver:download": "node ./node_modules/electron-chromedriver/download-chromedriver.js",
    "yarn:audit": "yarn audit",
    "app:dist:base": "npm-run-all lint test:electron-main build assets",
    "app:dist": "npm-run-all app:dist:base clean:prebuilds electron-builder:install-app-deps",
    "build": "npm-run-all build:electron-builder-hooks build:electron-main build:electron-preload build:web",
    "build:dev": "cross-env NODE_ENV=development npm-run-all build",
    "build:electron-main": "npm-run-all scripts/code-generation/electron-main build:electron-main:compile",
    "build:electron-main:compile": "yarn webpack:shortcut --config ./webpack-configs/electron-main.ts",
    "build:electron-main:dev": "cross-env NODE_ENV=development npm-run-all build:electron-main",
    "build:electron-main:watch": "cross-env WEBPACK_ENV_WATCH=1 npm-run-all build:electron-main",
    "build:electron-main:watch:dev": "cross-env WEBPACK_ENV_WATCH=1 npm-run-all build:electron-main:dev",
    "build:electron-preload": "npm-run-all build:electron-preload:about build:electron-preload:browser-window build:electron-preload:browser-window-e2e build:electron-preload:database-indexer build:electron-preload:search-in-page-browser-view build:electron-preload:webview-primary",
    "build:electron-preload:dev": "cross-env NODE_ENV=development npm-run-all build:electron-preload",
    "build:electron-preload:about": "yarn webpack:shortcut --config ./webpack-configs/preload/about.ts",
    "build:electron-preload:browser-window": "yarn webpack:shortcut --config ./webpack-configs/preload/browser-window.ts",
    "build:electron-preload:browser-window-e2e": "yarn webpack:shortcut --config ./webpack-configs/preload/browser-window-e2e.ts",
    "build:electron-preload:database-indexer": "yarn webpack:shortcut --config ./webpack-configs/preload/database-indexer.ts",
    "build:electron-preload:search-in-page-browser-view": "yarn webpack:shortcut --config ./webpack-configs/preload/search-in-page-browser-view.ts",
    "build:electron-preload:webview-primary": "yarn webpack:shortcut --config ./webpack-configs/preload/webview-primary.ts",
    "build:electron-preload:webview-primary:dev": "cross-env NODE_ENV=development npm-run-all build:electron-preload:webview-primary",
    "build:web": "npm-run-all build:web:browser-window build:web:about build:web:search",
    "build:web:dev": "cross-env NODE_ENV=development npm-run-all build:web",
    "build:web:about": "yarn webpack:shortcut --config ./webpack-configs/web/about.ts",
    "build:web:about:dev": "cross-env NODE_ENV=development npm-run-all build:web:about",
    "build:web:browser-window": "yarn webpack:shortcut --config ./webpack-configs/web/browser-window.ts",
    "build:web:browser-window:dev": "cross-env NODE_ENV=development npm-run-all build:web:browser-window",
    "build:web:search": "yarn webpack:shortcut --config ./webpack-configs/web/search-in-page-browser-view.ts",
    "build:web:search:dev": "cross-env NODE_ENV=development npm-run-all build:web:search",
    "build:electron-builder-hooks:celanup": "rimraf ./scripts/electron-builder/hooks/afterPack/index.js",
    "build:electron-builder-hooks:build": "yarn webpack:shortcut --config ./webpack-configs/electron-builder-hooks.ts",
    "build:electron-builder-hooks": "npm-run-all build:electron-builder-hooks:celanup build:electron-builder-hooks:build",
    "clean:app": "rimraf ./app",
    "clean:app-dev": "rimraf ./app-dev",
    "clean:output": "rimraf ./output",
    "clean:prebuilds": "npm-run-all clean:prebuilds:keytar clean:prebuilds:sodium-native clean:prebuilds:spellchecker clean:prebuilds:desktop-idle",
    "clean:prebuilds:keytar": "rimraf ./node_modules/keytar/build ./node_modules/keytar/prebuilds",
    "clean:prebuilds:sodium-native": "rimraf ./node_modules/sodium-native/build ./node_modules/sodium-native/prebuilds ./node_modules/sodium-native/lib",
    "clean:prebuilds:spellchecker": "rimraf ./node_modules/spellchecker/build ./node_modules/spellchecker/prebuilds",
    "clean:prebuilds:desktop-idle": "rimraf ./node_modules/desktop-idle/build ./node_modules/desktop-idle/prebuilds",
    "assets": "npm-run-all assets:copy assets:webclient:protonmail",
    "assets:dev": "npm-run-all assets:copy:dev assets:webclient:protonmail:dev",
    "assets:copy": "cpx \"./src/assets/dist/**/*\" ./app/assets",
    "assets:copy:dev": "cpx \"./src/assets/dist/**/*\" ./app-dev/assets",
    "assets:webclient:protonmail": "yarn assets:webclient:protonmail:base ./app/webclient",
    "assets:webclient:protonmail:dev": "yarn assets:webclient:protonmail:base ./app-dev/webclient",
    "assets:webclient:protonmail:base": "yarn ts-node:shortcut ./scripts/prepare-webclient/protonmail.ts",
    "electron-builder:install-app-deps": "yarn electron-builder:shortcut install-app-deps --arch=x64",
    "electron-builder:dir": "yarn electron-builder:shortcut --x64 --dir",
    "electron-builder:dist": "yarn electron-builder:shortcut --x64 --publish never",
    "electron-builder:dist:linux": "yarn electron-builder:shortcut --x64 --publish never --linux appimage snap deb freebsd pacman rpm",
    "electron-builder:dist:linux:appimage": "npm-run-all scripts/electron-builder/build-appimage",
    "electron-builder:dist:linux:snap": "npm-run-all scripts/electron-builder/build-snap",
    "electron-builder:dist:linux:deb": "yarn electron-builder:shortcut --x64 --linux deb",
    "electron-builder:dist:linux:freebsd": "yarn electron-builder:shortcut --x64 --linux freebsd",
    "electron-builder:dist:linux:pacman": "yarn electron-builder:shortcut --x64 --linux pacman",
    "electron-builder:dist:linux:rpm": "yarn electron-builder:shortcut --x64 --linux rpm",
    "lint": "npm-run-all lint:code",
    "lint:code": "npm-run-all lint:ts:eslint",
    "lint:ts:base:eslint": "eslint",
    "lint:ts:eslint": "yarn lint:ts:base:eslint \"./src/**/*.ts\" \"./scripts/**/*.ts\" \"./webpack-configs/**/*.ts\"",
    "start:electron": "electron ./app/electron-main.js",
    "start:electron:dev": "electron ./app-dev/electron-main.js",
    "test:e2e": "cross-env TS_NODE_FILES=true npx --no-install --node-arg=\"--require tsconfig-paths/register --require ts-node/register\" ava \"./src/e2e/**/*.{spec,test}.ts\"",
    "test:electron-main": "cross-env NODE_ENV=test npm-run-all test:electron-main:compiled:clean test:electron-main:compiled:compile test:electron-main:compiled:ava",
    "test:electron-main:compiled:ava": "npx --no-install ava \"./output/__test__/electron-main/src/electron-main/__test__/**/*.{spec,test}.js\"",
    "test:electron-main:compiled:clean": "rimraf ./output/__test__/electron-main",
    "test:electron-main:compiled:compile": "cross-env TS_NODE_FILES=true npx --no-install --node-arg=\"--require tsconfig-paths/register\" ttsc --project ./src/electron-main/__test__/tsconfig.json",
    "test:web": "cross-env NODE_ENV=test TS_NODE_FILES=true npx --no-install --node-arg=\"--require tsconfig-paths/register\" karma start ./src/web/browser-window/test/karma.conf.ts --single-run",
    "scripts/ci/appveyor/download-webclients-artifact": "yarn ts-node:shortcut ./scripts/ci/appveyor/download-webclients-artifact.ts",
    "scripts/ci/clean-git-output-if-needed": "yarn ts-node:shortcut scripts/ci/clean-git-output-if-needed.ts",
    "scripts/ci/print-webclients-dist-paths-pattern": "yarn --silent ts-node:shortcut ./scripts/ci/print-webclients-dist-paths-pattern.ts",
    "scripts/code-generation/electron-main": "yarn ts-node:shortcut ./scripts/code-generation/electron-main.ts",
    "scripts/dist-packages/print-hashes": "yarn ts-node:shortcut ./scripts/dist-packages/print-hashes.ts ./dist",
    "scripts/dist-packages/upload": "yarn ts-node:shortcut ./scripts/dist-packages/upload.ts ./dist ./output",
    "scripts/download-tray-icon-font": "yarn ts-node:shortcut ./scripts/download-tray-icon-font.ts",
    "scripts/electron-builder/build-appimage": "yarn ts-node:shortcut ./scripts/electron-builder/build-appimage.ts",
    "scripts/electron-builder/build-snap": "yarn ts-node:shortcut ./scripts/electron-builder/build-snap.ts",
    "scripts/electron-builder/run-with-default-args": "yarn ts-node:shortcut ./scripts/electron-builder/run-with-default-args.ts",
    "scripts/electron-builder/sequential-dist-linux": "yarn ts-node:shortcut ./scripts/electron-builder/sequential-dist-linux.ts",
    "scripts/transfer": "yarn ts-node:shortcut ./scripts/transfer/index.ts",
    "electron-builder:shortcut": "yarn scripts/electron-builder/run-with-default-args",
    "ts-node:shortcut": "cross-env TS_NODE_FILES=true ts-node --require tsconfig-paths/register",
    "webpack:shortcut": "cross-env TS_NODE_FILES=true npx --no-install --node-arg=\"--require tsconfig-paths/register\" webpack"
  },
  "ava": {
    "extensions": [
      "ts",
      "js"
    ],
    "files": [
      "./src/**/*.{spec,test}.{ts,js}",
      "./output/__test__/**/*.{spec,test}.{ts,js}"
    ],
    "timeout": "120s",
    "verbose": true
  },
  "dependencies": {
    "@cliqz/url-parser": "1.1.4",
    "@msgpack/msgpack": "2.2.1",
    "@rgba-image/lanczos": "0.1.0",
    "@vladimiry/unionize": "2.1.2-add-tagprefix-option",
    "asap-es": "1.3.3",
    "class-transformer": "0.3.1",
    "class-transformer-validator": "0.9.1",
    "class-validator": "0.12.2",
    "color-fns": "0.1.1",
    "compare-versions": "3.6.0",
    "desktop-idle": "1.3.0",
    "electron-log": "4.2.4",
    "electron-rpc-api": "6.1.0",
    "electron-unhandled": "3.0.2",
    "fast-glob": "3.2.4",
    "fs-extra": "9.0.1",
    "fs-json-store": "6.0.0-beta4",
    "fs-json-store-encryption-adapter": "2.0.0",
    "js-base64": "3.5.2",
    "keytar": "7.0.0",
    "mime-types": "2.1.27",
    "node-fetch": "2.6.1",
    "oboe": "2.1.5",
    "os-locale": "5.0.0",
    "otplib": "12.0.1",
    "path-is-inside": "1.0.2",
    "proxy-agent": "4.0.0",
    "pure-uuid": "1.6.1",
    "pureimage": "0.2.5",
    "reflect-metadata": "0.1.13",
    "remeda": "0.0.23",
    "rxjs": "6.6.3",
    "sanitize-html": "2.1.0",
    "semver": "7.3.2",
    "serialize-error": "7.0.1",
    "spellchecker": "https://github.com/vladimiry-playground/node-spellchecker#37cebc43ccbfce27dac51f64ec45f72d9aa80b8f",
    "truncate-utf8-bytes": "1.0.2",
    "ts-deferred": "1.0.4",
    "tslib": "2.0.3",
    "valid-url": "1.0.9"
  },
  "devDependencies": {
    "@angular-devkit/build-optimizer": "0.1100.0-next.7",
    "@angular-eslint/eslint-plugin": "0.5.0-beta.4",
    "@angular/animations": "11.0.0-next.6",
    "@angular/cdk": "11.0.0-next.1",
    "@angular/common": "11.0.0-next.6",
    "@angular/compiler": "11.0.0-next.6",
    "@angular/compiler-cli": "11.0.0-next.6",
    "@angular/core": "11.0.0-next.6",
    "@angular/forms": "11.0.0-next.6",
    "@angular/language-service": "11.0.0-next.6",
    "@angular/platform-browser": "11.0.0-next.6",
    "@angular/platform-browser-dynamic": "11.0.0-next.6",
    "@angular/router": "11.0.0-next.6",
    "@expo/spawn-async": "1.5.0",
    "@ng-select/ng-select": "5.0.8",
    "@ngrx/component": "10.0.1",
    "@ngrx/effects": "10.0.1",
    "@ngrx/store": "10.0.1",
    "@ngtools/webpack": "11.0.0-next.7",
    "@types/archiver": "3.1.1",
    "@types/byline": "4.2.32",
    "@types/fs-extra": "9.0.2",
    "@types/html-to-text": "5.1.2",
    "@types/jasmine": "3.5.14",
    "@types/js-base64": "3.0.0",
    "@types/karma": "5.0.0",
    "@types/mime-types": "2.1.0",
    "@types/node": "12.12.31",
    "@types/node-fetch": "2.5.7",
    "@types/oboe": "2.0.29",
    "@types/path-is-inside": "1.0.0",
    "@types/postcss-url": "8.0.1",
    "@types/randomstring": "1.1.6",
    "@types/react": "16.9.52",
    "@types/react-router": "5.1.8",
    "@types/rimraf": "3.0.0",
    "@types/sanitize-html": "1.27.0",
    "@types/semver": "7.3.4",
    "@types/sinon": "9.0.8",
    "@types/spellchecker": "3.5.0",
    "@types/valid-url": "1.0.3",
    "@typescript-eslint/eslint-plugin": "4.4.1",
    "@typescript-eslint/parser": "4.4.1",
    "@vladimiry/import-sort-style": "0.1.1",
    "app-builder-lib": "22.9.1",
    "archiver": "5.0.2",
    "ava": "3.13.0",
    "bootstrap": "4.5.3",
    "byline": "5.0.0",
    "combine-errors": "3.0.3",
    "cpx2": "3.0.0",
    "cross-env": "7.0.2",
    "css-loader": "5.0.0",
    "electron": "10.1.3",
    "electron-builder": "22.9.1",
    "escape-string-regexp": "4.0.0",
    "eslint": "7.11.0",
    "eslint-plugin-import": "2.22.1",
    "eslint-plugin-sonarjs": "0.5.0",
    "file-loader": "6.1.1",
    "font-awesome": "4.7.0",
    "html-loader": "1.3.2",
    "html-to-text": "5.1.1",
    "html-webpack-plugin": "5.0.0-alpha.1",
    "husky": "4.3.0",
    "immer": "7.0.9",
    "import-sort-cli": "6.0.0",
    "import-sort-parser-typescript": "6.0.0",
    "jasmine": "3.6.2",
    "jsdom": "16.4.0",
    "karma": "5.2.3",
    "karma-jasmine": "4.0.1",
    "karma-jsdom-launcher": "8.0.2",
    "karma-webpack": "4.0.2",
    "lint-staged": "10.4.1",
    "mini-css-extract-plugin": "1.0.0",
    "ndx": "1.0.2",
    "ndx-query": "1.0.1",
    "ngx-bootstrap": "6.1.0",
    "ngx-color-picker": "10.1.0",
    "npm-run-all": "4.1.5",
    "null-loader": "4.0.1",
    "patch-package": "6.2.2",
    "postcss-loader": "4.0.4",
    "postcss-url": "8.0.0",
    "randomstring": "1.1.5",
    "rate-limiter-flexible": "2.1.10",
    "resolve-url-loader": "3.1.1",
    "rewiremock": "3.14.3",
    "sass": "1.27.0",
    "sass-loader": "10.0.3",
    "script-loader": "0.7.2",
    "sinon": "9.2.0",
    "spectron": "12.0.0",
    "style-loader": "2.0.0",
    "to-string-loader": "1.1.6",
    "ts-essentials": "7.0.0",
    "ts-loader": "8.0.5",
    "ts-node": "9.0.0",
    "tsconfig-paths": "3.9.0",
    "ttypescript": "1.5.12",
    "typescript": "4.0.3",
    "typescript-transform-paths": "2.0.1",
    "url-loader": "4.1.1",
    "webpack": "5.1.3",
    "webpack-cli": "4.0.0",
    "webpack-merge": "5.2.0",
    "webpack-node-externals": "2.5.2",
    "zone.js": "0.10.3"
  },
  "resolutions": {
    "@types/react-router/@types/react": "16.9.52",
    "import-sort-cli/yargs": "^15.x",
    "import-sort-parser-typescript/typescript": "^4.x",
    "*/**/tslib": "^2.x",
    "*/**/builder-util-runtime": "8.7.2"
  }
}
